summaryrefslogtreecommitdiff
path: root/macros/texinfo/texinfo/info/t/dir-entry-to-subdir.sh
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /macros/texinfo/texinfo/info/t/dir-entry-to-subdir.sh
Initial commit
Diffstat (limited to 'macros/texinfo/texinfo/info/t/dir-entry-to-subdir.sh')
-rw-r--r--macros/texinfo/texinfo/info/t/dir-entry-to-subdir.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/macros/texinfo/texinfo/info/t/dir-entry-to-subdir.sh b/macros/texinfo/texinfo/info/t/dir-entry-to-subdir.sh
new file mode 100644
index 0000000000..11cb5b9970
--- /dev/null
+++ b/macros/texinfo/texinfo/info/t/dir-entry-to-subdir.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+# Copyright (C) 2015-2018 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+srcdir=${srcdir:-.}
+. $srcdir/t/Init-test.inc
+
+# Follow a dir entry to a file in a subdirectory of infodir
+run_ginfo subdir
+printf 'Dq' >$pty_type
+timeout_test
+
+cat $ginfo_output
+grep '^File: file-in-subdir.info' $ginfo_output
+retval=$?
+
+cleanup